MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0026791Open CASCADE[OCCT] OCCT:Visualizationpublic2015-10-21 09:252017-07-20 10:50
Reporterkgv 
Assigned Tokgv 
PrioritylowSeverityfeature 
StatusassignedResolutionopen 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.4.0*Fixed in Version 
Summary0026791: Visualization, TKOpenGl - apply view resolution to built-in markers
DescriptionStandard markers can be automatically computed with greater resolution on HiDPI monitors.
Steps To Reproducebugs vis bug26791
TagsNo tags attached.
Test case number
Attached Filespng file icon bug24131_markers_sprites.png (32,728 bytes) 2015-11-11 11:02

- Relationships
related to 0027731closedbugmaster Open CASCADE Visualization, OpenGl_AspectMarker - handle fractional marker Scale when sharing resources 
child of 0025350closedbugmaster Community Visualization - provide a dpi-scaling ratio for V3d_View 

-  Notes
(0048042)
git (administrator)
2015-11-11 10:47

Branch CR26791 has been created by isk.

SHA-1: b9b37c1d45a06c976b593971fa1f05143c930bc6


Detailed log of new commits:

Author: isk
Date: Wed Nov 11 10:46:48 2015 +0300

    0026791: Visualization, TKOpenGl - apply view resolution to built-in markers
    Add ResolutionRatio() method in the Graphic3d_RenderingParams.
    Add SetResolutionRatio() method in the OpenGl_Context.
(0048043)
isk (developer)
2015-11-11 10:48

Dear Kirill,
please review the branch CR26791.
(0048046)
kgv (developer)
2015-11-11 11:05
edited on: 2015-11-11 11:06

Please note that increasing resolution should have another effect that currently provided by changing marker size. It should be rendered with higher quality (e.g. with more pixels) preserving original shape at the same size (size from aspect).

For instance, lines within marker should have higher thickness (better within integer steps).

At the same time, the resolution should have no effect on custom markers - them should be rendered as is.


- Issue History
Date Modified Username Field Change
2015-10-21 09:25 kgv New Issue
2015-10-21 09:25 kgv Assigned To => kgv
2015-10-21 09:25 kgv Relationship added child of 0025350
2015-10-21 09:26 kgv Assigned To kgv => isk
2015-10-21 09:26 kgv Status new => assigned
2015-10-21 09:26 kgv Target Version 7.0.0 => 7.1.0
2015-11-11 10:47 git Note Added: 0048042
2015-11-11 10:48 isk Note Added: 0048043
2015-11-11 10:48 isk Assigned To isk => kgv
2015-11-11 10:48 isk Status assigned => resolved
2015-11-11 10:48 isk Steps to Reproduce Updated View Revisions
2015-11-11 11:02 kgv File Added: bug24131_markers_sprites.png
2015-11-11 11:05 kgv Note Added: 0048046
2015-11-11 11:05 kgv Assigned To kgv => isk
2015-11-11 11:05 kgv Status resolved => assigned
2015-11-11 11:06 kgv Note Edited: 0048046 View Revisions
2016-08-06 13:04 kgv Relationship added related to 0027731
2016-08-06 13:04 kgv Assigned To isk => kgv
2016-08-06 13:04 kgv Priority normal => low
2016-10-25 09:33 kgv Target Version 7.1.0 => 7.2.0
2017-07-20 10:50 kgv Target Version 7.2.0 => 7.4.0*


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker